
import { switchMap } from 'rxjs/operators';
import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { FormatService } from 'src/app/services';
import { Format } from 'src/app/models/format.model';

@Component({
  selector: 'app-format-detail',
  templateUrl: './format-detail.component.html',
  styleUrls: ['./format-detail.component.scss'],
})
export class FormatDetailComponent implements OnInit {

  format: Format;
  title: string;

  constructor(
    private _route: ActivatedRoute,
    private _formatService: FormatService,
  ) {
  }

  ngOnInit(): void {
    this.title = this._route.snapshot.data.title;
    this._route.paramMap.pipe(
      switchMap((params: ParamMap) => this._formatService.findById(params.get('id'))))
      .subscribe((format: Format) => this.format = format);
  }
}
