import { Component, OnInit, Input } from '@angular/core';
import { DataLogsService } from 'src/app/services/data-logs.service';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { switchMap } from 'rxjs/operators';
import { ILogs } from 'src/app/models/logs.model';
import { FormsModule } from '@angular/forms';
@Component({
  selector: 'app-logs-sessions',
  templateUrl: './logs-sessions.component.html',
  styleUrls: ['./logs-sessions.component.scss'],
})
export class LogsSessionsComponent implements OnInit {
  // @Input() childSessionId: string;
  // @Input() childSessionsList: [];
  // @Input() childNbSessions: number;
  nbSessions: number = 0;
  allSessionsIdInfo: any = [];
  allSessionsInfoList: any = [];
  urlCode: string = 'sessionUrl';
  constructor(
    private dataLogsService: DataLogsService,
  ) { }

  ngOnInit() {
    this.getAllSessionsInfo();
  }

  getProcessTimeAggr (sessionId) {
    this.dataLogsService.getProcessTimeAggr(sessionId).subscribe((result) => {
      // console.log(result[0]);
      this.allSessionsIdInfo.push(result[0]);
    },
    );
  }

  getAllSessionsInfo() {
    this.dataLogsService.getAllInfoForAllSessions().subscribe((result) => {
      this.allSessionsInfoList = result;
      this.nbSessions = result.length;
      console.log('allSessionsInfoList: ', this.allSessionsInfoList);
      this.formatDate();
    },
    );

  }
  formatDate() {
    for (let i = 0; i < this.nbSessions; i += 1) {
      for (let j = 0; j < this.allSessionsInfoList[i].data.length; j += 1) {
        // const date1 = new Date(this.allSlugsInfoList[i].data[j].completionDate.$date);
        // const date2 = new Date(this.allSlugsInfoList[i].data[j].startDate.$date);
        // this.allSlugsInfoList[i].data[j].duration =
        // Math.round((this.allSlugsInfoList[i].data[j].completionDate.$date - this.allSlugsInfoList[i].data[j].startDate.$date) / 60000);
        this.allSessionsInfoList[i].data[j].completionDate.$date = new Date(this.allSessionsInfoList[i].data[j].completionDate.$date);
      }
    }
  }

  seeDashboard() {}

}
